﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SpreadSLTooTip_CS
{
    public partial class MainPage : UserControl
    {
        ToolTip myTooltip = new ToolTip();
        public MainPage()
        {
            InitializeComponent();        
            myTooltip.Placement = System.Windows.Controls.Primitives.PlacementMode.Mouse;
            myTooltip.HorizontalOffset = 10;
            myTooltip.VerticalOffset = 10;
            myTooltip.Width = 200;
         
        }
        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            GcSpreadSheet1.ActiveSheet.RowCount = 15;
            GcSpreadSheet1.ActiveSheet.ColumnCount = 4;
            GcSpreadSheet1.ActiveSheet.Cells[0, 0].Text = "Hover mouse for Tool Tip";
            GcSpreadSheet1.ActiveSheet.Cells[0, 1].Text = "Showing Cell Text";
            GcSpreadSheet1.ActiveSheet.Cells[1, 0].Text = "Show longer text in Tool Tip";
            GcSpreadSheet1.ActiveSheet.Cells[1, 1].Text = "Component One Spread Sheet" ;
            GcSpreadSheet1.ActiveSheet.Columns[0].Width = 150;
            GcSpreadSheet1.ActiveSheet.Rows[0, 3].Height = 30;
        }
        private void GcSpreadSheet1_MouseMove(object sender, MouseEventArgs e)
        {
            var point = e.GetPosition(this.GcSpreadSheet1);
            var info = this.GcSpreadSheet1.HitTest(point.X, point.Y);
            myTooltip.IsOpen = false;
            if (info.HitTestType == GrapeCity.Windows.SpreadSheet.UI.HitTestType.Viewport && info.ViewportInfo != null)
            {
                string cellText = GcSpreadSheet1.ActiveSheet.Cells[info.ViewportInfo.Row, info.ViewportInfo.Column].Text;                        
                if (cellText != "")
                {                   
                    myTooltip.Content = cellText;
                    myTooltip.IsOpen = true;
                }
             }
           
        }
    }
}
